Loading...
Searching...
No Matches
casacore::MSMetaData::ScanProperties Struct Reference

## Public Attributes

FirstExposureTimeMap | firstExposureTime
| The Int represents the data description ID, The Double represents the time of the first time stamp, The Quantity represents the exposure time for the corresponding data description ID and time stamp.
std::map< uInt, Quantity > | meanInterval
| the key is the spwID, the value is the meanInterval for the subscan and that spwID
std::map< uInt, rownr_t > | spwNRows
| number of rows for each spectral window
std::pair< Double, Double > | timeRange
| time range (which takes into account helf of the corresponding interval, which is not accounted for in the SubScanProperties times
std::map< uInt, std::set< double > > | times
| times for each spectral window

## Detailed Description

Definition at line 701 of file MSMetaData.h.

## Member Data Documentation

## firstExposureTime

FirstExposureTimeMap casacore::MSMetaData::ScanProperties::firstExposureTime

The Int represents the data description ID, The Double represents the time of the first time stamp, The Quantity represents the exposure time for the corresponding data description ID and time stamp.

Definition at line 706 of file MSMetaData.h.

## meanInterval

std::map<uInt, Quantity> casacore::MSMetaData::ScanProperties::meanInterval

the key is the spwID, the value is the meanInterval for the subscan and that spwID

Definition at line 709 of file MSMetaData.h.

## spwNRows

std::map<uInt, rownr_t> casacore::MSMetaData::ScanProperties::spwNRows

number of rows for each spectral window

Definition at line 711 of file MSMetaData.h.

## timeRange

std::pair<Double, Double> casacore::MSMetaData::ScanProperties::timeRange

time range (which takes into account helf of the corresponding interval, which is not accounted for in the SubScanProperties times

Definition at line 714 of file MSMetaData.h.

## times

std::map<uInt, std::set<double> > casacore::MSMetaData::ScanProperties::times

times for each spectral window

Definition at line 716 of file MSMetaData.h.

The documentation for this struct was generated from the following file:

- ms/MSOper/MSMetaData.h